@use '@ecl/theme-dev/theme' as ecTheme;

// Required
@import "bootstrap/scss/functions";

// Typography
$font-size-root: 16px;
$font-family-sans-serif: Arial, sans-serif;

$headings-font-weight:        600;

// Breakpoints
$grid-breakpoints: (
  xs: map-get(ecTheme.$breakpoint, 'xs'),
  sm: map-get(ecTheme.$breakpoint, 's'),
  md: map-get(ecTheme.$breakpoint, 'm'),
  lg: map-get(ecTheme.$breakpoint, 'l'),
  xl: map-get(ecTheme.$breakpoint, 'xl'),
);

// 3. Include remainder of required Bootstrap stylesheets
@import "../node_modules/bootstrap/scss/variables";
@import "../node_modules/bootstrap/scss/mixins";

// 4. Include any optional Bootstrap components as you like
@import "../node_modules/bootstrap/scss/reboot";
@import "../node_modules/bootstrap/scss/type";
@import "../node_modules/bootstrap/scss/images";
@import "../node_modules/bootstrap/scss/code";
@import "../node_modules/bootstrap/scss/grid";
@import "../node_modules/bootstrap/scss/utilities";